Approves a pending request and applies the requested plan (one transaction).
const url = 'https://example.com/api/v1/provision/admin/plan-change-requests/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/admin/plan-change-requests/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve \ --header 'Content-Type: application/json' \ --data '{ "note": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The plan-change request.
Request Body
Section titled “Request Body”Optional note (e.g. a payment reference).
Approve/reject payload for a plan-change request decision.
object
Examplegenerated
{ "note": "example"}Approve/reject payload for a plan-change request decision.
object
Examplegenerated
{ "note": "example"}Responses
Section titled “Responses”OK
A plan-change request and its decision state.
object
The requester’s notification email (their own address; empty for pure device activations).
Decision state of a consumer plan-change request.
True when the requested plan is active (the request was approved and applied).
A plan-change request and its decision state.
object
The requester’s notification email (their own address; empty for pure device activations).
Decision state of a consumer plan-change request.
True when the requested plan is active (the request was approved and applied).
Example
{ "status": "Pending"}A plan-change request and its decision state.
object
The requester’s notification email (their own address; empty for pure device activations).
Decision state of a consumer plan-change request.
True when the requested plan is active (the request was approved and applied).
Example
{ "status": "Pending"}Bad Request
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Conflict
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}